Bug 165230 - Review Request: Eclipse Graphical Editing Framework
Review Request: Eclipse Graphical Editing Framework
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
David Lawrence
http://www.eclipse.org/gef/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-05 13:48 EDT by Aaron Luchko
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 09:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch (4.36 KB, patch)
2005-08-19 05:30 EDT, Matthias Saou
no flags Details | Diff

  None (edit)
Description Aaron Luchko 2005-08-05 13:48:17 EDT
Spec Name or Url: http://people.redhat.com/aluchko/rpms/rawhide/eclipse-gef.spec
SRPM Name or Url: http://people.redhat.com/aluchko/rpms/rawhide/eclipse-gef-3.1.0-1.src.rpm
Description: This package contains 3.1.0 of the Graphical Editing Framework which is required by a number of eclipse plugins.
Comment 1 Matthias Saou 2005-08-19 05:29:58 EDT
Find attached a patch to the spec file that fixes small issues and other minor
cosmetic changes.
The whole top arch defines seemed usless to me, but maybe I'm missing something.

Also, is this arch specific code or could the package be noarch? I don't know
much about java, but it seems that only xml and jar files are in this package,
so I was wondering.

Last, I've built the package successfully in a development x86_64 root, but I
don't have a real desktop system running development where I could test the install.
Comment 2 Matthias Saou 2005-08-19 05:30:27 EDT
Created attachment 117904 [details]
Spec file patch
Comment 3 Aaron Luchko 2005-08-19 12:05:13 EDT
Thanks for the patch, I glanced over it and will try to have a better look at it
on Monday (I'm going to be away for a few days) but there seem to be some good
suggestions.

The reason we need the arch specific code is while it's all java and xml we use
gcj to compile the code to binary as well as bytecode though I'll need to have a
glance to make sure it is getting generated.

I'll try to respond sometime on Monday with an updated spec and the scripts I
used to build the tarball since the procedure is fairly non-trivial.
Comment 4 Matthias Saou 2005-08-24 06:46:09 EDT
Documenting the way the tarball is generated in the spec file, or adding a
script that does it as a source to the package would be good indeed. As for the
binary code in the package, unless it's included in the .jar files, there
doesn't seem to be any.

Let me know once you have an updated package and I'll further review it.
Comment 5 Matthias Saou 2005-11-22 06:36:07 EST
Ping? :-)
Comment 6 Aaron Luchko 2005-11-22 20:13:50 EST
Sorry for not getting back to you on Monday :)

I'm back at school so my time to work on it is fairly limited unfortunately, I
have a little more done at 

http://people.redhat.com/aluchko/eclipse-gef-3.1.0_fc-1.src.rpm
http://people.redhat.com/aluchko/eclipse-gef.spec

but there's still a couple bugs in the build I need to work out and a couple
clean ups in the spec file (I combined your changes with the eclipse-changelog
specfile).

I hope to be able to get back to this after exams in Christmas and finish it off.
Comment 7 Aaron Luchko 2006-01-05 02:27:33 EST
Okay, it all builds (expect for a couple minor failures due to classes that are
missing from libgcj), has documentation, and passes all the gef junit tests.

When generating the debug info a bunch of messages pop up

extracting debug info from
/var/tmp/eclipse-gef-buildroot/usr/lib/gcj/eclipse-gef/org.eclipse.draw2d_3.1.0.jar.so
extracting debug info from
/var/tmp/eclipse-gef-buildroot/usr/lib/gcj/eclipse-gef/org.eclipse.gef_3.1.0.jar.so
cpio: eclipse-gef-3.1.1_fc/java/awt/BasicStroke.java: No such file or directory
cpio: eclipse-gef-3.1.1_fc/java/awt/geom/Area.java: No such file or directory
cpio: eclipse-gef-3.1.1_fc/java/awt/geom/GeneralPath.java: No such file or directory
...

Apparently this is due to an rpm bug that is fixed in 4.1.2 (fc4 is currently
4.1.1), Bug 161722


Here is the specfile and src.rpm
http://people.redhat.com/aluchko/eclipse-gef-3.1.1_fc-1.src.rpm
http://people.redhat.com/aluchko/eclipse-gef.spec
Comment 8 Jason Tibbitts 2006-07-08 22:47:17 EDT
Wow, this ticket has been idle for seven months.  Anything happening here?
Comment 9 Andrew Overholt 2006-07-10 10:51:12 EDT
(In reply to comment #8)
> Wow, this ticket has been idle for seven months.  Anything happening here?

We can't build GEF until some of GNU Classpath head is backported to the libgcj
we have.  This work has been done and is waiting on one more patch before we can
test it.  When this finishes (before test2 I've been told), someone will re-submit.
Comment 10 Andrew Overholt 2006-09-15 09:06:57 EDT
I actually already submitted GEF and it was approved :)  That was a new version
with a new way of building.  Sorry to take this from you, Aaron, but I know
you're busy and not involved everyday with this like I am.

This bug should be closed.
Comment 11 Matthias Saou 2006-09-15 09:10:51 EDT
Closing as WONTFIX then... better than staying idle anyway ;-)

Note You need to log in before you can comment on or make changes to this bug.